#include <stdio.h>
#include <string.h>
#include "res.h"

int SizeTResource(TRES *tres,unchar *resname,int *lin)
/* そのリソースを読み込むのに必要なバッファーサイズを求める */
{
int len,p=0;
unchar line[TRESMAX];
	/* そのリソースの位置まで移動 */
	len=SeekTResource(tres,resname);
	if (len) return(-len);
	
	/* サイズ計算 */
	*lin=0;
	while (fgets(line,TRESMAX,tres->fp)!=NULL) {
		len=strlen(line);
		if (line[0]=='}' && len==2) break;
		line[len-1]=0; /* 改行を消す */
		p+=len; /* バイト数：改行は消すけどEOS=0x00が入るから */
		(*lin)++; /* 行数 */
	}
	/* strcut()/strbpl()で分割するために最後にEOSがもう１つ入るため */
	if (p==0) return(-2);
	p++;
	if (ferror(tres->fp)) return(-3);
	return(p);
}
